<c:invokeTransform> | Standard JET2 Control Tags
--- | ---

invokeTransform

Invoke the another transformation, passing it the current transformation's source model and context variables. The transformation's actions will be accumulated, and commit when the invoking transformation commits.

The attribute 'passVariables' allows explicit declaration of the variables that are passed to the transformation. By default, all context variables are available. With this parameter, only those variables specified are available. In addition, any changes to passed variables are not reflected in the invoking context.

The deprecated 'restoreNames' attribute allows for the restoration of variables set by the invoked transformation back to their pre-invocation value.

The 'restoreNames' and 'passVariables' options are mutually exclusive.

Tag Summary
required | <c:invokeTransform transformId="value"/>
full tag | <c:invokeTransform transformId="value" restoreNames="value" passVariables="value"/>

Required Attributes
transformId | The transformation id of the transformation to invoke.

Optional Attributes
restoreNames | A comma separated list of variable names (without the $ sign). Mutually exclusive with 'passVariables'.
passVariables | A comma separated list of variable names (without the $ sign). Mutually exclusive with 'restoreNames'.

Example
| <%-- invoke transform 'foo.bar' against the current input model --%> <c:invokeTransform transformId="foo.bar"/> <%-- invoke transform 'foo.bar' against the current input model, and pass only the variables $a, $b and $c --%> <c:invokeTransform transformId="foo.bar" passVariables="a,b,c"/>